Bug 1282907 - Automate | System/About class schema version attribute needs to be updated.
Automate | System/About class schema version attribute needs to be updated.
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity low
: GA
: 5.5.0
Assigned To: Greg McCullough
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 14:02 EST by Tina Fitzgerald
Modified: 2015-12-08 08:48 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:48:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tina Fitzgerald 2015-11-17 14:02:35 EST
Automate model, ManageIQ domain /System/About class version attribute should be updated each time a new version is released. It would be great if it were part of the build process.
Comment 2 CFME Bot 2015-11-19 18:07:46 EST
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=cfc2039f6d0efd6f793116861fb94106e8fcb229

commit cfc2039f6d0efd6f793116861fb94106e8fcb229
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Nov 19 14:04:07 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Nov 19 14:04:07 2015 -0500

    Adding /System/About to RedHat domain
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282907

 .../RedHat/System/About.class/__class__.yaml       | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 manageiq/db/fixtures/ae_datastore/RedHat/System/About.class/__class__.yaml
Comment 3 CFME Bot 2015-11-19 18:07:51 EST
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=90637294e60e370b1994ad7b5582cb59f4765fd5

commit 90637294e60e370b1994ad7b5582cb59f4765fd5
Merge: b281df6 cfc2039
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Thu Nov 19 17:23:59 2015 -0500
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Thu Nov 19 17:23:59 2015 -0500

    Merge branch 'redhat_domain_about' into 'master'
    
    Adding /System/About to RedHat domain
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282907
    
    See merge request !132

 .../RedHat/System/About.class/__class__.yaml       | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)
Comment 5 CFME Bot 2015-11-20 14:05:22 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b7e47f0355154ed42c4e610d7b618d151214fe58

commit b7e47f0355154ed42c4e610d7b618d151214fe58
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Nov 20 12:38:41 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Nov 20 12:38:41 2015 -0500

    Update ManageIQ automate domain version to match VERSION file.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1282907

 db/fixtures/ae_datastore/ManageIQ/System/About.class/__class__.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 6 Greg McCullough 2015-11-20 14:08:41 EST
ManageIQ automate about version has been updated.  Processes were put into place to update these file with future releases.
Comment 7 Pete Savage 2015-11-30 16:53:50 EST
Verified in 5.5.0.12
Comment 9 errata-xmlrpc 2015-12-08 08:48:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.